#!/bin/bash
# jdk install script.

INST_FILE="jdk-6u35-linux-x64.bin"

echo ""
echo "----------------------------------------------------------------"
echo "- Installing ${INST_FILE}... "
echo "----------------------------------------------------------------"

echo "Installation Information"
cat ../extra/jdk_info.txt
echo "Okay to install ${INST_FILE}? ( y/n ) : "
read answer
if [ "$answer" = "n" ] || [ "$answer" = "N" ]; then
	echo "Aborting"
	exit 2
fi

if [ -s ${INST_FILE} ]; then
  echo "${INST_FILE} [found]"
else
	echo "Error: ${INST_FILE} not found!!! If you have an other install version, you can change the jdkinst.sh file's INST_FILE variable for your install file version and retry installation."
	echo "You need to download below files."
	echo "  1) jdk-6u35-linux-x64.bin"
	echo "      - Download URL: http://www.oracle.com/technetwork/java/javase/downloads/index.html"
	echo "      - File download path : ./jdkinst/jdk-6u35-linux-x64.bin"
exit 1
fi

mkdir -p /usr/java
cp ${INST_FILE} /usr/java
cd /usr/java
chmod 755 ${INST_FILE}
echo "yes" | ./${INST_FILE} &>/dev/null
echo "
export JAVA_HOME=/usr/java/jdk1.6.0_35
export PATH=\$JAVA_HOME/bin:\$PATH
" >> /etc/profile

source /etc/profile

rm -rf ${INST_FILE}
alternatives --install /usr/bin/java java $JAVA_HOME/bin/java 2
alternatives --set java $JAVA_HOME/bin/java

echo ""
echo "----------------------------------------------------------------"
echo "- ${INST_FILE} installation is completed. "
echo "----------------------------------------------------------------"

exit 0
