#!/bin/bash
# tetrad install script.

INST_TITLE="mongobird"

echo ""
echo "----------------------------------------------------------------"
echo "- Installing ${INST_TITLE}... "
echo "----------------------------------------------------------------"

# Make sure only root can run our script
if [ "$(id -u)" != "0" ]; then
   echo "This script must be run as root." 1>&2
   exit 1
fi

chmod 755 ./mongoinst/*.sh
chmod 755 ./jdkinst/*.sh
chmod 755 ./tomcatinst/*.sh
chmod 755 ./warinst/*.sh
chmod 755 ./docinst/*.sh

cd ./mongoinst
./mongoinst.sh
returnCode="$?"

if [ "$returnCode" = "1" ] ; then
 exit 1
elif [ "$returnCode" = "0" ] ; then
	isInstalledMONGODB="y"
fi

cd ../jdkinst
./jdkinst.sh
returnCode="$?"

if [ "$returnCode" = "1" ] ; then
 exit 1
elif [ "$returnCode" = "0" ] ; then
	isInstalledJDK="y"
fi

cd ../tomcatinst
./tomcatinst.sh
returnCode="$?"

if [ "$returnCode" = "1" ] ; then
 exit 1
elif [ "$returnCode" = "0" ] ; then
	isInstalledTOMCAT="y"
	cd ../warinst
	./warinst.sh
	returnCode="$?"
	if [ "$returnCode" = "1" ] ; then
	 exit 1
	elif [ "$returnCode" = "0" ] ; then
		isInstalledWAR="y"
		isInstalledWARAuto="y"
	fi
elif [ "$returnCode" = "2" ] ; then
	echo "Do you want to copy tetrad.war to your Tomcat webapps path? ( y/n ) : "
	read answer
	if [ "$answer" = "y" ] || [ "$answer" = "Y" ]; then
		cd ../warinst
		./warinst_manually.sh
		returnCode="$?"
		if [ "$returnCode" = "1" ] ; then
			exit 1
		elif [ "$returnCode" = "0" ] ; then
			isInstalledWAR="y"
		fi
	fi
fi

#cd ../docinst
#./docinst.sh

if [ "${isInstalledTOMCAT}" == "y" ] ; then
	/etc/init.d/tomcat start
fi

if [ "${isInstalledTOMCAT}" == "y" -a "${isInstalledWARAuto}" == "y" ] ; then
	echo ""
	echo "Preparing web service will be completed within just about 1 minute."
	echo -n "Please wait."
	ARR_TEMP="1 2 3 4 5 6 7 8 9 10 11"
	for temp in ${ARR_TEMP}
	do
		sleep 5
		echo -n "."
	done
	echo "Done."
	echo "Tomcat restarting..."
	/etc/init.d/tomcat stop
	/etc/init.d/tomcat start
fi

echo " "
echo "----------------------------------------------------------------"
echo "- ${INST_TITLE} installation is completed. "
echo "----------------------------------------------------------------"
echo " "

cd ..
echo "Installation Information"
if [ "$isInstalledMONGODB" = "y" ] ; then
	cat ./extra/mongodb_info.txt
else
	cat ./extra/mongodb_config_info.txt
fi

if [ "$isInstalledJDK" = "y" ] ; then
	cat ./extra/jdk_info.txt
fi

if [ "$isInstalledTOMCAT" = "y" ] ; then
	cat ./extra/tomcat_info.txt
fi

if [ "$isInstalledWAR" = "y" ] ; then
	cat ./extra/war_info.txt
fi

cat ./extra/app_info.txt
cat ./extra/caution.txt
echo ""
echo "Thanks for using ${INST_TITLE}!"

