#!/bin/bash
# tomcat install script.

INST_FILE="apache-tomcat-6.0.35"
CATALINA_HOME=/usr/local/tomcat

echo ""
echo "----------------------------------------------------------------"
echo "- Installing ${INST_FILE}... "
echo "----------------------------------------------------------------"

echo "Installation Information"
cat ../extra/tomcat_info.txt
echo "Okay to install ${INST_FILE}? ( y/n ) : "
read answer
if [ "$answer" = "n" ] || [ "$answer" = "N" ]; then
	echo "Aborting"
	exit 2
fi

if [ -s ${INST_FILE}.tar.gz ]; then
  echo "${INST_FILE}.tar.gz [found]"
else
	echo "Error: ${INST_FILE} not found!!! If you have an other install version, you can change the tomcatinst.sh file's INST_FILE variable for your install file version and retry installation."
	echo "You need to download below files."
	echo "  1) apache-tomcat-6.0.35.tar.gz"
	echo "      - Download URL: http://tomcat.apache.org/download-60.cgi"
	echo "      - File download path : ./tomcatinst/apache-tomcat-6.0.35.tar.gz"
exit 1
fi

tar zxvf ${INST_FILE}.tar.gz -C /usr/local
# if symbolic link exist then delete link
[ -h ${CATALINA_HOME} ] && rm -f ${CATALINA_HOME}
ln -s /usr/local/${INST_FILE} ${CATALINA_HOME}

#USing a Basic Init Script
#cp tomcat /etc/init.d/tomcat
cp ./tomcat /etc/init.d/tomcat
chmod +x /etc/init.d/tomcat

useradd -M -r --home-dir /usr/local/tomcat tomcat
chown tomcat:tomcat -R /usr/local/tomcat
chown tomcat:tomcat -R /usr/local/${INST_FILE}

echo "Do you want to enable ${INST_FILE} automatic start after system reboot? ( y/n ) : "
read answer
if [ "$answer" = "y" ] || [ "$answer" = "Y" ]; then
	chkconfig --add tomcat
	chkconfig tomcat on
fi

#/etc/init.d/tomcat start
#/etc/init.d/tomcat stop

sleep 2

echo " "
echo "----------------------------------------------------------------"
echo "- ${INST_FILE} installation is completed. "
echo "- You can type "service tomcat start" to start using tomcat now."
echo "----------------------------------------------------------------"

exit 0
