#!/bin/bash
# tetrad install script.

INST_FILE="tetrad"

echo ""
echo "----------------------------------------------------------------"
echo "- Installing ${INST_FILE}.war... "
echo "----------------------------------------------------------------"

echo "Installation Information"
cat ../extra/war_info.txt

if [ -s ${INST_FILE}.war ]; then
  echo "${INST_FILE}.war [found]"
else
  echo "Error: ${INST_FILE} not found!!!"
	exit 1
fi

echo "Where is your TOMCAT_HOME path? : "
read answer
tomcatHomePath="$answer"
if [ "${tomcatHomePath}" = "" ]; then
	echo "Aborting"
	exit 1
else
	if [ ! -d "$tomcatHomePath" ]; then
		# Control will enter here if $DIRECTORY doesn't exist.
		echo "Error: Directory not found!!!"
		echo "Aborting"
		exit 1
	fi
	echo "What user account is used for starting Tomcat? : "
	read answer
	tomcatUser="$answer"
	if [ "${tomcatUser}" = "" ]; then
		echo "Aborting"
		exit 1
	else
		if id -u $tomcatUser >/dev/null 2>&1; then
			echo "user exists. OK."
		else
			echo "user does not exist"
			echo "Aborting"
			exit 1
		fi
		./resourceinst.sh ${tomcatUser}
		
		rm -rf ${tomcatHomePath}/webapps/${INST_FILE}.war
		rm -rf ${tomcatHomePath}/webapps/${INST_FILE}/
		rm -rf ${tomcatHomePath}/work/Catalina/localhost/${INST_FILE}/
		chown tomcat:tomcat ${INST_FILE}.war
		cp ${INST_FILE}.war ${tomcatHomePath}/webapps
	fi
fi

echo " "
echo "----------------------------------------------------------------"
echo "- ${INST_FILE}.war installation is completed. "
echo "----------------------------------------------------------------"

exit 0

